> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ada.cx/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ada.cx/_mcp/server.

# Return conversations matching the parameters

GET https://example.ada.support/data_api/v1.4/conversations

Returns a list of `conversation` objects along with a status message and `next_page_uri` if applicable.

Reference: https://docs.ada.cx/reference/data-export/data-export-v1-4/conversations/return-conversations-matching-the-parameters

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `created_since` (string, optional) — Return records that were created after this date. Note that `updated_since` and `created_since` are mutually exclusive, so you must only use one in a request. Must be an ISO 8601 UTC timestamp ending with 'Z' (e.g., `2024-07-01T00:00:00Z`); required for valid API requests.
- `updated_since` (string, optional) — Return records that were updated after this date. Note that `updated_since` and `created_since` are mutually exclusive, so you must only use one in a request. Must be an ISO 8601 UTC timestamp ending with 'Z' (e.g., `2024-07-01T00:00:00Z`); required for valid API requests.
- `page_size` (integer, optional, default: 10000) — Number of records to return in response. The maximum and default is 10000, the minimum is 100.
- `created_to` (string, optional, nullable) — Return records that were created earlier than this date. If `created_since` is used and this parameter is not specified, this value defaults to 7 days after `created_since`.
- `updated_to` (string, optional, nullable) — Return records that were updated earlier than this date. If `updated_since` is used and this parameter is not specified, this value defaults to 7 days after `updated_since`.

## Response

### 200

Ada successfully processed the request.

- `message` (string, optional) — Request status message
- `data` (list of Conversation, optional) — Records returned from the query
- `next_page_uri` (string, optional) — Relative link to the next page of results matching the query

## Errors

### 400 Bad Request Error

Incorrect query.

- `any`

### 408 Request Timeout Error

Database query timed out.

- `any`

### 422 Unprocessable Entity Error

Invalid arguments or missing data for a required field.

- `any`

### 429 Too Many Requests Error

Requests are within 1 s of each other.

- `any`

### 500 Internal Server Error

Request timed out or there was a database error.

- `any`

### 502 Bad Gateway Error

Nginx gateway issue on Ada's servers.

- `any`

### 503 Service Unavailable Error

Server temporarily unable to handle the request.

- `any`

### 504 Gateway Timeout Error

Temporary infrastructure error on Ada's servers.

- `any`

## Types

### Conversation

- `_id` (string, optional) — Unique ID for the conversation record
- `agent_id` (list of string, optional) — The list of unique IDs for agents involved in the conversation
- `agent_name` (list of string, optional) — A list of names of the agents involved the conversation, corresponding to the agent IDs
- `agent_handle_time` (double, optional) — Time taken for a human agent to handle a conversation in seconds
- `automated_resolution_classification` (string, optional) — Classification of either Resolved or Not Resolved for the conversation
- `automated_resolution_classification_reason` (string, optional) — Explanation of the reason for the assigned automated_resolution_classification
- `bot_handle_time` (double, optional) — Time taken for the AI agent to handle a conversation in seconds
- `browser` (string, optional) — The browser used by the chatter
- `browser_version` (string, optional) — The version of the browser used by the chatter
- `chatter_id` (string, optional) — Ada ID of the chatter having this conversation
- `csat` (ConversationCsat, optional) — Object of customer satisfaction survey data for this conversation
- `date_created` (string, optional) — Date and time the record was created (UTC)
- `date_updated` (string, optional) — Last date and time the record was updated (UTC)
- `device` (string, optional) — The device the chatter used, such as iphone, android, etc.
- `end_user_id` (string, optional) — The End User ID used to identify the chatter profile in the conversation.
- `generated_topic_id` (string, optional) — The unique ID Ada associated with the generated conversation topic
- `generated_topic_label` (string, optional) — The title of the generated conversation topic
- `generated_topic_v2_id` (string, optional) — The unique ID Ada associated with the generated conversation topic using Topics V2
- `generated_topic_v2_title` (string, optional) — The title of the generated conversation topic using Topics V2
- `generated_topic_v2_desc` (string, optional) — The descrtiption of the generated conversation topic using Topics V2
- `generated_topic_v2_parent_id` (string, optional) — The unique ID Ada associated with the generated conversation topic's parent category topic. Null if topic has no parent category topic.
- `inquiry_summary` (string, optional) — An automatically generated summary of the customer's inquiry
- `is_engaged` (boolean, optional) — Whether the chatter engaged with the bot during this conversation
- `is_escalated` (boolean, optional) — Whether the chatter escalated to a live agent during this conversation
- `is_test_user` (boolean, optional) — Whether the conversation was started by a test user
- `language` (string, optional) — The language the chatter used
- `metavariables` (ConversationMetavariables, optional) — Object of metavariables and their values active during this conversations
- `oauth_channel` (string, optional) — The channel used by Oauth
- `platform` (string, optional) — Ada platform through which this conversation occurred
- `record_last_updated` (string, optional) — Date and time the record was uploaded to the API
- `variables` (ConversationVariables, optional) — Object of autocapture and global variables and their values last active during this conversations

### ConversationCsat

Object of customer satisfaction survey data for this conversation

### ConversationMetavariables

Object of metavariables and their values active during this conversations

### ConversationVariables

Object of autocapture and global variables and their values last active during this conversations

## Examples

**Response**

```json
{
  "message": "OK",
  "data": [
    {
      "_id": "5d8a7d080afd19b55945c8ab",
      "agent_id": [
        "619d95c0c063a5bf2b1efb7c"
      ],
      "agent_name": [
        "Ada Lovelace"
      ],
      "agent_handle_time": 4,
      "automated_resolution_classification": "Resolved",
      "automated_resolution_classification_reason": "The bot provided a detailed step-by-step guide on how to disable auto deposits, both on the mobile app and the web version.",
      "bot_handle_time": 4,
      "browser": "chrome",
      "browser_version": "95.0.4638.69",
      "chatter_id": "5dbaef7283d791f585563d84",
      "csat": {
        "comment": null,
        "feedback": null,
        "is_positive": false,
        "resolved": null,
        "score": 3,
        "style": "EMOJI",
        "survey_type": "end_chat"
      },
      "date_created": "2019-10-31T14:28:02.865000+00:00",
      "date_updated": "2019-10-31T14:28:02.865000+00:00",
      "device": "macos",
      "end_user_id": "619d95c0c063a5bf2b1efb64e",
      "generated_topic_id": "654952d3e90767ff49713fbf",
      "generated_topic_label": "Billing Inquiries",
      "generated_topic_v2_id": "654952d3e90767ff49713fb1",
      "generated_topic_v2_title": "Password Reset Inquiries",
      "generated_topic_v2_desc": "All conversations regarding resetting passwords",
      "generated_topic_v2_parent_id": "654952d3e90767ff49713fb2",
      "inquiry_summary": "The customer wanted to know how to temporarily disable auto deposits.",
      "is_engaged": true,
      "is_escalated": false,
      "is_test_user": false,
      "language": "en",
      "metavariables": {
        "browser": "chrome",
        "language": "en"
      },
      "oauth_channel": "sms",
      "platform": "chat",
      "record_last_updated": "2019-10-31T14:28:02.865000+00:00",
      "variables": {
        "account_number": "1234"
      }
    }
  ],
  "next_page_uri": "/data_api/conversations?updated_since=2019-12-10T20:20:07.308000%2B00:00"
}
```

**SDK Code**

```python
import requests

url = "https://example.ada.support/data_api/v1.4/conversations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://example.ada.support/data_api/v1.4/conversations';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.ada.support/data_api/v1.4/conversations"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.ada.support/data_api/v1.4/conversations")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.ada.support/data_api/v1.4/conversations")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.ada.support/data_api/v1.4/conversations', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.ada.support/data_api/v1.4/conversations");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://example.ada.support/data_api/v1.4/conversations")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```